import request from '@/utils/request'

// 查询竞争产品信息收集列表
export function listGather(query) {
  return request({
    url: '/mk/bo/gathercg/list',
    method: 'get',
    params: query
  })
}

// 查询竞争产品信息收集详细
export function getGather(id) {
  return request({
    url: '/mk/bo/gathercg/' + id,
    method: 'get'
  })
}

// 新增竞争产品信息收集
export function addGather(data) {
  return request({
    url: '/mk/bo/gathercg',
    method: 'post',
    data: data
  })
}

// 修改竞争产品信息收集
export function updateGather(data) {
  return request({
    url: '/mk/bo/gathercg',
    method: 'put',
    data: data
  })
}

// 删除竞争产品信息收集
export function delGather(ids) {
  return request({
    url: '/mk/bo/gathercg/delete',
    method: 'post',
    data: ids
  })
}

// 导入明细
export function upload(data) {
  return request({
    url: `/mk/bo/gathercg/upload`,
    method: 'post',
    data: data,
    headers: {
      'Content-Type': 'multipart/form-data'
    }
  })
}

//有效
export function effective(id) {
  return request({
    url: '/mk/bo/gathercg/effective/' + id,
    method: 'post'
  })
}

//失效
export function loseEffective(id) {
  return request({
    url: '/mk/bo/gathercg/loseEffective/' + id,
    method: 'post'
  })
}